package performa.orm;

import oneit.utils.math.NullArith;


public class LevelNormalisation extends BaseLevelNormalisation
{
    private static final long serialVersionUID = 0L;
    
    // This constructor should not be called
    public LevelNormalisation ()
    {
        // Do not add any code to this, always put it in initialiseNewObject
    }

    @Override
    public String getObjectIDSpace()
    {
        return "LevelNormalisation";
    }
    
    public Double getRoleFitScore(Double weightedScore)
    {
        return NullArith.round(((10 * ((weightedScore - getWghtMeanScore()) / getWghtStddevScore())) + 50), 2);
    }
}